Subject: [TR] Dum

From: [email-masked]
Date: Sun, 3 Mar 2013 17:44:24 +0000 (UTC)

I realize that I am isolated and alone in the I-can-be-such-a-dope category.

I've been daily driving my '59 TR3A for about 11 years now, since the ground up restoration of the racoon restroom it had become and remained for 25 years in a shed in Ossinee, NY.

All the time driving, when I got caught in a summer rain, water leaked all over my pants.  I thought,  "My, that's a lot of water, even by LBC standards!"  But you know, you give a nod to the Coventry god who is a quadruplet twin to Coyote, Loki, and Lucas.  "It's just the way it is,"  I said to myself.  "Must accept."

This year, getting the car ready for spring, I thought, let's look again at those drain tubes to the scuttle and the battery.  So I ordered them to replace them one way or another.  When I went to install the drain tube to the scuttle, I checked the old one out.  Seemed fine.  "Yep, I thought, that's just the way it is.  Stay wet but have fun."  

Then I traced the old scuttle tube to wherever it exited to cockpit through the bulkhead, so I'd get it right replacing it.

Uhm...it did not exit the cockpit.  Instead, it had been cut off to drain directly over my legs.  And I am the DPO on this one.  Dum dum dum.

Good news?  Installed properly, the drain tube may actually keep me somewhat relatively maybe partway dry this summer!

Terry Smith, '59 TR3A  TS 58667
New Hampshire

** [email-masked] **

Archive: http://www.team.net/archive